// STATISTICS
// Cin is the model input, Cout is the model output
private real S1_in(t) mM*sec, S2_in(t) mM*sec^2, S3_in(t) mM*sec^3;
when(t=t.min) {S1_in=0;S2_in=0;S3_in=0;}
real AREA_in(t) mM*sec, TBAR_in(t) sec, RD_in(t) ;
S1_in:t=Cin  ;
S2_in:t=Cin  *t;
S3_in:t=Cin  *t*t;
AREA_in=S1_in;
TBAR_in=S2_in/S1_in;
RD_in=sqrt((abs(S3_in/S2_in)/TBAR_in)-1);
//
private real S1_out(t) mM*sec, S2_out(t) mM*sec^2, S3_out(t) mM*sec^3;
when(t=t.min) {S1_out=0;S2_out=0;S3_out=0;}
real AREA_out(t) mM*sec, TBAR_out(t) sec, RD_out(t) ;
S1_out:t=Cout;
S2_out:t=Cout*t;
S3_out:t=Cout*t*t;
AREA_out=S1_out;
TBAR_out=S2_out/S1_out;
RD_out=sqrt((abs(S3_out/S2_out)/TBAR_out)-1);
//
private real SD_op(t);
SD_op= sqrt( (RD_out*TBAR_out)^2 - (RD_in*TBAR_in)^2 );
real TBAR_op(t), RD_op(t);
TBAR_op=TBAR_out-TBAR_in;
RD_op=SD_op/TBAR_op;

